Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.sax
Class FileDestination

    java.lang.Object
      com.jclark.xsl.sax.GenericDestination
          com.jclark.xsl.sax.FileDestination

All Implemented Interfaces:
  Destination

public class FileDestination
extends GenericDestination

Represents a file to which we can write the results of a transformation

Constructor Summary
`FileDestination(java.io.File file)`
`FileDestination(java.lang.String str)`

Method Summary
`java.io.OutputStream` | `getOutputStream(java.lang.String contentType, java.lang.String encoding)`
`Destination` | `resolve(java.lang.String uri)` By default return a FileDestination to the given (local) URI

Methods inherited from class com.jclark.xsl.sax.GenericDestination
`getEncoding, getWriter, keepOpen, setEncoding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileDestination

    public FileDestination(java.lang.String str)

### FileDestination

    public FileDestination(java.io.File file)

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream(java.lang.String contentType,
                                                java.lang.String encoding)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### resolve

    public Destination resolve(java.lang.String uri)

  Description copied from class: `GenericDestination`
  By default return a FileDestination to the given (local) URI

  Specified by:
    `resolve` in interface `Destination`
  Overrides:
    `resolve` in class `GenericDestination`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD